Public OIDC ID-token signing keys
GET
/v1/oauth/jwks
const url = 'https://api.infiniteaudience.ai/v1/oauth/jwks';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.infiniteaudience.ai/v1/oauth/jwksPublic RSA signing keys for current and configured previous ID-token key versions.
Responses
Section titled “Responses”JSON Web Key Set.
Media typeapplication/json
object
keys
required
Array<object>
object
kty
required
string
use
required
string
alg
required
string
kid
required
string
n
required
string
e
required
string
Example
{ "keys": [ { "kty": "RSA", "use": "sig", "alg": "RS256" } ]}A required billing provider partnership is temporarily unavailable.
Media typeapplication/json
object
error
required
Stable machine-readable error code (e.g. INVALID_STATUS_TRANSITION, BILLING_INSUFFICIENT_BALANCE). Always present.
string
message
Human-readable explanation of the error.
string
code
Alternate machine-readable code — present on some endpoints as an alias for error for backward compatibility.
string
request_id
Opaque support/debug identifier when available.
string
next_step
Public action for correcting the request or retrying later.
string
issues
Array<object>
object
path
required
JSON path to the invalid filter field or value.
string
code
required
string
message
required
string
suggestions
Array<string>
key
additional properties
any
Example
{ "issues": [ { "code": "INVALID_FILTER_SHAPE" } ]}